octave 4.4.0: following packages fail to install

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

octave 4.4.0: following packages fail to install

Alois Schloegl-7
When trying to install almost all packages on octave 4.4.0 on Debian 9,
54 packages installed successfully. The only packages that did not
install are those:

        database
        fuzzy-logic-toolkit
        general
        linear-algebra
        miscellaneous
        parallel
        vrml

Perhaps someone want to give it a try fixing these:
Below are error messages I see.


====================================================================
* octave:1> pkg install -forge -global linear-algebra
conftest.cc:1:27: fatal error: octave/config.h: No such file or directory
 #include <octave/config.h>
                           ^
compilation terminated.
configure: error: Could not run
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/bin/mkoctfile-4.4.0
checking for gcc... gcc
checking whether the C compiler works... yes


====================================================================
octave:1> pkg install -forge -global database
bytea2var.cc: In function ‘octave_value_list Fbytea2var(const
octave_value_list&, int)’:
bytea2var.cc:97:22: error: ‘flt_fmt_unknown’ is not a member of
‘oct_mach_info’
       if (flt_fmt == oct_mach_info::flt_fmt_unknown)
                      ^~~~~~~~~~~~~
command.cc: In member function ‘octave_value command::tuples_ok_handler()’:
command.cc:308:18: error: could not convert ‘octave_value_list()’ from
‘octave_value_list’ to ‘octave_value’
           return octave_value_list ();
                  ^~~~~~~~~~~~~~~~~~~~
command.cc:440:12: error: could not convert ‘octave_value_list()’ from
‘octave_value_list’ to ‘octave_value’
     return octave_value_list ();
            ^~~~~~~~~~~~~~~~~~~~
make: *** [bytea2var.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [command.o] Error 1
make: Entering directory '/tmp/oct-f0LAJg/database-2.4.2/src'
./mkdoc.pl  ../inst/setdbopts.m ../inst/getdbopts.m
../inst/pq_exec_params.m ../inst/__all_db_opts__.m
../inst/database_doc.m ../inst/pq_connect.m ../inst/pq_lo_view.m >
MFDOCSTRINGS
if grep -q DEFUN_DLD_REPLACEMENT_FOR_PACKAGE_DOCS pq_close.cc; then echo
"The string 'DEFUN_DLD_REPLACEMENT_FOR_PACKAGE_DOCS' must not be present
in source code,



====================================================================
octave:1> pkg install -forge -global fuzzy-logic-toolkit
parse error near line 165 of file
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/share/octave/packages/fuzzy-logic-toolkit-0.4.5/defuzz.m

  anonymous function bodies must be single expressions

>>>   y_val = @(y_val) if (y_val == max_y) 1 else 0 endif;
                        ^

error: called from
    doc_cache_create>create_cache at line 109 column 18
    gen_doc_cache_in_dir>@<anonymous> at line 143 column 16
    doc_cache_create>gen_doc_cache_in_dir at line 144 column 9
    doc_cache_create at line 55 column 12
    install>generate_lookfor_cache at line 793 column 5
    install at line 223 column 7
    pkg at line 437 column 9


====================================================================
octave:1> pkg install -forge -global general
unpackfields.cc: In function ‘octave_value_list Funpackfields(const
octave_value_list&, int)’:
unpackfields.cc:78:37: error: ‘symbol_table’ has not been declared
           octave_value struct_val = symbol_table::varval (struct_name);
                                     ^~~~~~~~~~~~
unpackfields.cc:80:34: warning: ‘bool octave_value::is_map() const’ is
deprecated: [4.4]: use 'isstruct' instead [-Wdeprecated-declarations]
           if (struct_val.is_map ())
                                  ^
In file included from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/ovl.h:36:0,
                 from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/ov-fcn.h:33,
                 from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/ov-builtin.h:32,
                 from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/defun-int.h:30,
                 from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/defun-dld.h:32,
                 from
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/oct.h:32,
                 from unpackfields.cc:16:
/mnt/nfs/clustersw/Debian/stretch/octave/4.4.0/include/octave-4.4.0/octave/../octave/ov.h:593:8:
note: declared here
   bool is_map (void) const
        ^~~~~~
unpackfields.cc:92:25: error: ‘symbol_table’ has not been declared
                         symbol_table::assign (fld_names(i),
map.contents (iter));
                         ^~~~~~~~~~~~
unpackfields.cc:117:21: error: ‘symbol_table’ has not been declared
                     symbol_table::assign (fld_names(i), val);
                     ^~~~~~~~~~~~

====================================================================
octave:1> pkg install -forge -global miscellaneous
error: the following dependencies were unsatisfied:
   miscellaneous needs general >= 1.3.1

====================================================================
octave:1> pkg install -forge -global parallel
minimal-load-save.cc: In function ‘int
minimal_read_header(std::istream&, bool&, oct_mach_info::float_format&)’:
minimal-load-save.cc:59:18: error: ‘flt_fmt_unknown’ is not a member of
‘oct_mach_info’
   if (flt_fmt == oct_mach_info::flt_fmt_unknown)
                  ^~~~~~~~~~~~~
In file included from select.cc:29:0:
select.cc: In function ‘octave_value_list Fselect(const
octave_value_list&, int)’:
select.cc:119:72: error: cannot call member function ‘octave::stream
octave::stream_list::lookup(int, const string&) const’ without object
                 SET_ERR (fd = octave_stream_list::lookup (fid, "select") .
                                                                        ^
error-helpers.h:116:9: note: in definition of macro ‘SET_ERR’
         code ; \
         ^~~~
select.cc:133:72: error: cannot call member function ‘octave::stream
octave::stream_list::lookup(int, const string&) const’ without object
                 SET_ERR (fd = octave_stream_list::lookup (fid, "select") .
                                                                        ^

====================================================================
octave:1> pkg install -forge -global vrml
error: the following dependencies were unsatisfied:
   vrml needs linear-algebra >= 0.0.0
   vrml needs miscellaneous >= 0.0.0